Bricscad have no replaceable syntax for the Justifytext ?? Please help me.
Hi there,
When I used AUTOCAD, this risp command is really usefull for me.
But in Bricscad, this risp can not running because "JUSTIFYTEXT" syntax is not supported.
I want to use this risp in Bricscad for more comfortable work same as in Autocad.
Does anyone know solution about this problem?? Please help me.
[code](defun c:t1(/ myerror os ss n ptx pty pyxy kw k en tx a)
;start --- Internal error handler -----------------------------
(defun myerror(S)
(if (/= s "Function cancelled")(princ (strcat "\nError:" s)))
(setvar "osmode" os) (setvar "blipmode" bl)
(setq *error* olderr)(princ) )
(setq olderr *error* *error* myerror)
;end-----------------------------------------------------------
(setq os (getvar "osmode"))
(prompt "Justifying text")
(setq ss (ssget '((0 . "text")))) (terpri)
(setq n (sslength ss))
(setq ptx (car (getpoint "\nSelect Base Point->")))(terpri)
(setvar "osmode" 0)
(setq a "Select Justifying point [Left(L)/Center(C)/Right(R)] : ")
(initget "Left Center Right")
(setq kw (getkword a))
(if (= kw nil) (setq kw "Left"))
(if (= kw "Left") (setq sn 10) (setq sn 11))
(command "JUSTIFYTEXT" ss "" kw) (terpri)
(setq k 0)
(while (<= 1 n) </div>
(setq en (ssname ss k))
(setq ptxy (cdr (assoc 10 (entget en))) )
(setq pty (cadr ptxy))
(setq pt2 (list ptx pty))
(entmod (subst (cons sn pt2) (assoc sn (entget en))(entget en)))
(setq n (- n 1))
(setq k (+ k 1))
)
(setvar "osmode" os)
(princ)
)[/code] 0
Comments
-
JUSTIFYTEXT is included with BricsCAD Express Tools, which is available free from the applications area.
Regards,Jason Bourhill
0
This discussion has been closed.